Bug 8242 - Permission for "change password" button in members toolbar should be "borrowers" instead of "staffaccess"
Summary: Permission for "change password" button in members toolbar should be "borrowe...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Koha Team University Lyon 3
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-13 11:19 UTC by Koha Team University Lyon 3
Modified: 2013-12-05 19:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Patch members-toolbar.inc (2.30 KB, patch)
2012-06-13 11:19 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
[SIGNED-OFF] Permission for change password button in members toolbar should be borrowers instead of staffaccess (2.41 KB, patch)
2012-06-17 14:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team University Lyon 3 2012-06-13 11:19:57 UTC Comment hidden (obsolete)
Comment 1 Katrin Fischer 2012-06-17 14:07:24 UTC
The change is logical and works as expected. I am only wondering under which circumstances it was possible to reach the page with staffaccess but without borrowers permission? Both the memberentry and the passwordchange template require borrowers permission to be accessible.
Comment 2 Katrin Fischer 2012-06-17 14:12:34 UTC
I think at some point in time it was not possible for staff users to change their own or the passwords of other staff members. Passwords could be changed in OPAC or by the superlibrarian. I am not sure when this changed, but the change is not dependend on this patch.
Do we want it to work this way or should the former feature be restored?
Comment 3 Katrin Fischer 2012-06-17 14:14:13 UTC
Created attachment 10331 [details] [review]
[SIGNED-OFF] Permission for change password button in members toolbar should be borrowers instead of staffaccess

http://bugs.koha-community.org/show_bug.cgi?id=8242
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 4 Jonathan Druart 2012-07-04 12:21:52 UTC
QA comments:

Changes permissions for member's password modification. It seems logical.

Marking as Passed QA.
Comment 5 Paul Poulain 2012-07-04 14:33:11 UTC
I think it's more a bugfix than an ENH, chris_c, your final decision
Comment 6 Chris Cormack 2012-07-04 21:13:22 UTC
Pushed to 3.8.x, will be in 3.8.3